
QGIS Application - Bug report #14194

Filter Legend by Map Content doesn't work for rasters

2016-01-29 03:20 AM - Frank Sokolic

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.18.20 Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 22196

Description

The Filter Legend by Map Content button in the legend item properties doesn't seem to work for raster layers. Legends for raster

layers remain visible even when filtering is enabled and the layers are switched off.

This is possibly related to bug #11641.

History

#1 - 2016-01-29 04:47 AM - Martin Dobias

This is more of a missing feature rather than a bug - the support for raster layers has not been added yet...

#2 - 2016-01-29 05:07 AM - Frank Sokolic

Maybe the tooltip could be changed to say the filtering is for vector layers only? Maybe change it from Filter Legend by Map Content to something like 

Filter Vector Layers by Map Content.

#3 - 2017-05-01 01:06 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2017-05-10 04:06 PM - Arnaud Morvan

- Status changed from Open to In Progress

- Pull Request or Patch supplied changed from No to Yes

- Description updated

Pull request proposed : https://github.com/qgis/QGIS/pull/4531

#5 - 2018-06-15 05:59 PM - René-Luc ReLuc

- Affected QGIS version changed from master to 2.18.20

This issue has been fixed in 3.0 but it still exists in 2.18.x

#6 - 2018-06-15 06:12 PM - René-Luc ReLuc

2024-03-13 1/2

https://github.com/qgis/QGIS/pull/4531


Backport to 2.18 has been proposed https://github.com/qgis/QGIS/pull/7250

#7 - 2019-03-09 03:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from In Progress to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
